## bind9 9.18.19

=== debian/changelog ===
bind9 (1:9.18.19-1~deb12u1) bookworm-security; urgency=high

  * New upstream version 9.18.19
   - CVE-2023-3341: A stack exhaustion flaw in control channel code may
     cause named to terminate unexpectedly
   - CVE-2023-4236: named may terminate unexpectedly under high
     DNS-over-TLS query load

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Sep 2023 19:33:58 +0200

bind9 (1:9.18.16-1~deb12u1) bookworm-security; urgency=high

  * New upstream version 9.18.16
   - CVE-2023-2828: The overmem cleaning process has been improved,
     to prevent the cache from significantly exceeding the configured
     max-cache-size limit.
   - CVE-2023-2911: A query that prioritizes stale data over lookup
     triggers a fetch to refresh the stale data in cache. If the fetch
     is aborted for exceeding the recursion quota, it was possible for
     named to enter an infinite callback loop and crash due to stack
     overflow. This has been fixed.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Jun 2023 20:48:44 +0200
