=== debian/changelog ===
bind9 (1:9.18.24-0ubuntu5) noble; urgency=high

  * No change rebuild against libssl3t64, libuv1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:37:41 +0200

bind9 (1:9.18.24-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:04:23 +0000

bind9 (1:9.18.24-0ubuntu3) noble; urgency=medium

  * bind9-libs: Hard-code libuv1t64 instead of libuv1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Mar 2024 12:35:21 +0100

bind9 (1:9.18.24-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:27:42 +0000

bind9 (1:9.18.24-0ubuntu1) noble; urgency=medium

  * Updated to 9.18.21 to fix security issues.
    - Security Fixes:
      + Validating DNS messages containing a lot of DNSSEC signatures could
        cause excessive CPU load, leading to a denial-of-service condition.
        This has been fixed. (CVE-2023-50387)
      + Preparing an NSEC3 closest encloser proof could cause excessive CPU
        load, leading to a denial-of-service condition. This has been
        fixed. (CVE-2023-50868)
      + Parsing DNS messages with many different names could cause
        excessive CPU load. This has been fixed. (CVE-2023-4408)
      + Specific queries could cause named to crash with an assertion
        failure when nxdomain-redirect was enabled. This has been fixed.
        (CVE-2023-5517)
      + A bad interaction between DNS64 and serve-stale could cause named
        to crash with an assertion failure, when both of these features
        were enabled. This has been fixed. (CVE-2023-5679)
      + Under certain circumstances, the DNS-over-TLS client code
        incorrectly attempted to process more than one DNS message at a
        time, which could cause named to crash with an assertion failure.
        This has been fixed.
    - Bug Fixes:
      + The counters exported via the statistics channel were changed back
        to 64-bit signed values; they were being inadvertently truncated to
        unsigned 32-bit values since BIND 9.15.0.
    - See https://bind9.readthedocs.io/en/v9.18.24/notes.html for
      additional information

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 14 Feb 2024 14:31:05 -0500

bind9 (1:9.18.21-0ubuntu1) noble; urgency=medium

  * New upstream release 9.18.21 (LP: #2040359)
    - Updates:
      + Update IP addresses for B.ROOT-SERVERS.NET to 170.247.170.2 and
        2801:1b8:10::b.
      + Honor nsupdate -v option when server command specified by sending both
        the UPDATE request and the initial query over TCP.
      + Mark cookie-algorithm aes as deprecated, use SipHash-2-4, instead.
      + Mark resolver-nonbackoff-tries and resolver-retry-interval as
        deprecated.
      + Mark dnssec-must-be-secure as deprecated.
    - Bug Fixes:
      + Do not schedule unsigned versions of inline-signed zones containing
        DNSSEC records for resigning.
      + Take local authoritative data into account when looking up stale cache
        data.
      + Fix use of named -X and lock-file at the same time.
      + Fix improper lock-file removal.
      + Fix bound checking in Content-Length header in the statistics channel.
      + Fix memory leaks from not clearing the OpenSSL error stack.
      + Fix SERVFAIL responses from introduction of krb5-subdomain-self-rhs and
        ms-subdomain-self-rhs update policies.
      + Fix stale-refresh-time feature being disabled by cache flush.
      + Fix DNS message corruption from partial writes.
    - See https://bind9.readthedocs.io/en/v9.18.21/notes.html for additional
      information
  * d/p/CVE-2023-3341.patch, d/p/CVE-2023-4236.patch: Remove - fixed by
    upstream in version 9.18.19
  * d/p/always-use-standard-library-stdatomic.patch: Maintain use of the
    standard library stdatomic.h

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 25 Jan 2024 08:37:15 -0700
