=== debian/tests/control ===
Tests: simpletest
Restrictions: isolation-container, needs-internet, needs-root
Depends: bind9,
         bind9-dnsutils

Tests: validation
Restrictions: isolation-container, needs-internet, needs-root, flaky
Depends: bind9,
         bind9-dnsutils

Tests: zonetest
Restrictions: isolation-container, needs-root
Depends: bind9,
         bind9-dnsutils,
         bind9-utils

Tests: dyndb-ldap
Restrictions: isolation-container, needs-root
Architecture: !i386
Depends: bind9,
         bind9-dyndb-ldap,
         slapd,
         ldap-utils,
         dpkg-dev
