## bind9 9.18.28

=== debian/changelog ===
bind9 (1:9.18.28-1~deb12u2A~5.2.0.202407301537) ucs5-2-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    0001-Bug-22478-build-bind-with-libdb4.8.patch
    0002-Bug-51417-Do-not-fail-on-service-start.patch
    0004-Bug-41714-Add-LDAP-support.patch
    0004-Bug-41714-Add-LDAP-support.quilt
    0017-Bug-51786-fix-apparmor-profile.patch

 -- Univention builddaemon <buildd@univention.de>  Tue, 30 Jul 2024 15:37:43 -0000

bind9 (1:9.18.28-1~deb12u2) bookworm-security; urgency=medium

  * Fix the assertion failure in samba-libs DLZ module. (Closes #1074378)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 27 Jul 2024 05:13:42 +0200

bind9 (1:9.18.28-1~deb12u1) bookworm-security; urgency=high

  * New upstream version 9.18.28
   - CVE-2024-0760: A flood of DNS messages over TCP may make the server
     unstable
   - CVE-2024-1737: BIND's database will be slow if a very large number of
     RRs exist at the same name
   - CVE-2024-1975: SIG(0) can be used to exhaust CPU resources
   - CVE-2024-4076: Assertion failure when serving both stale cache data
     and authoritative zone content

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Jul 2024 17:22:50 +0200

bind9 (1:9.18.24-1) bookworm-security; urgency=high

  * New upstream version 9.18.24
   - CVE-2023-4408: Parsing large DNS messages may cause excessive CPU
     load
   - CVE-2023-5517: Querying RFC 1918 reverse zones may cause an assertion
     failure when "nxdomain-redirect" is enabled
   - CVE-2023-5679: Enabling both DNS64 and serve-stale may cause an
     assertion failure during recursive resolution
   - CVE-2023-6516: Specific recursive query patterns may lead to an
     out-of-memory condition
   - CVE-2023-50387: KeyTrap - Extreme CPU consumption in DNSSEC validator
   - CVE-2023-50868: Preparing an NSEC3 closest encloser proof can exhaust
     CPU resources

 -- Ondřej Surý <ondrej@debian.org>  Mon, 12 Feb 2024 17:28:03 +0100
