=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                dh-apparmor,
                dh-apport,
                dh-exec,
+               dh-python,
                libcap2-dev [linux-any],
                libcmocka-dev,
                libdb-dev,
@@ -17,29 +18,31 @@
                libidn2-dev,
                libjson-c-dev,
                libkrb5-dev,
+               libldap2-dev,
                liblmdb-dev,
-               libltdl-dev,
+               libedit-dev,
                libmaxminddb-dev (>= 1.3.0),
                libnghttp2-dev,
                libssl-dev,
-               libsystemd-dev [linux-any],
                libtool,
-               libuv1-dev (>= 1.40.0),
+               libtool-bin,
+               libuv1-dev,
                libxml2-dev,
                pkg-config,
                python3,
+               python3-ply,
                zlib1g-dev
 Build-Depends-Indep: fonts-freefont-otf,
                      latexmk,
                      python3-sphinx,
                      python3-sphinx-rtd-theme,
-                     texlive-fonts-extra,
+                     texlive-fonts-recommended,
                      texlive-latex-recommended,
                      texlive-xetex,
                      xindy
-Standards-Version: 4.6.2
+Standards-Version: 4.1.2
 Vcs-Browser: https://salsa.debian.org/dns-team/bind9
-Vcs-Git: https://salsa.debian.org/dns-team/bind9.git -b debian/9.18
+Vcs-Git: https://salsa.debian.org/dns-team/bind9.git
 Homepage: https://www.isc.org/downloads/bind/
 
 Package: bind9
@@ -50,6 +53,7 @@
          bind9-utils (= ${binary:Version}),
          debconf | debconf-2.0,
          dns-root-data,
+         lsb-base (>= 3.2-14),
          iproute2,
          netbase,
          ${misc:Depends},
@@ -69,8 +73,7 @@
 
 Package: bind9utils
 Architecture: all
-Depends: bind9-utils,
-         ${misc:Depends}
+Depends: bind9-utils, ${misc:Depends}
 Priority: optional
 Section: oldlibs
 Description: Transitional package for bind9-utils
@@ -78,12 +81,11 @@
 
 Package: bind9-utils
 Architecture: any
-Depends: bind9-libs (= ${binary:Version}),
-         ${misc:Depends},
+Depends: ${misc:Depends},
+         ${python3:Depends},
          ${shlibs:Depends}
 Breaks: bind-utils (<< 1:9.13.6~),
-        bind9utils (<< 1:9.12.0~),
-        freeipa
+        bind9utils (<< 1:9.12.0~)
 Replaces: bind-utils (<< 1:9.13.6~),
           bind9utils (<< 1:9.12.0~)
 Provides: bind9utils
@@ -104,8 +106,7 @@
 Package: bind9-host
 Priority: standard
 Architecture: any
-Depends: bind9-libs (= ${binary:Version}),
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends}
 Provides: host
 Breaks: bind-host (<< 1:9.13.6~)
@@ -119,8 +120,7 @@
 Priority: standard
 Architecture: any
 Multi-Arch: same
-Depends: libuv1 (>= 1.40.0),
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends}
 Breaks: bind-libs (<< 1:9.13.6~)
 Replaces: bind-libs (<< 1:9.13.6~)
@@ -131,31 +131,9 @@
  .
  This package contains a bundle of shared libraries used by BIND 9.
 
-Package: bind9-dev
-Section: devel
-Priority: optional
-Architecture: any
-Multi-Arch: same
-Depends: bind9-libs (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: libbind-dev (<< 1:9.16.0~)
-Replaces: libbind-dev (<< 1:9.16.0~)
-Description: Static Libraries and Headers used by BIND 9
- The Berkeley Internet Name Domain (BIND 9) implements an Internet domain
- name server.  BIND 9 is the most widely-used name server software on the
- Internet, and is supported by the Internet Software Consortium, www.isc.org.
- .
- This package contains a bundle of static libraries and header files used by
- BIND 9.
- .
- Please be aware that the BIND 9 libraries are considered private by upstream
- developers and the API and ABI might break at any time.
-
 Package: dnsutils
 Architecture: all
-Depends: bind9-dnsutils,
-         ${misc:Depends}
+Depends: bind9-dnsutils, ${misc:Depends}
 Priority: optional
 Section: oldlibs
 Description: Transitional package for bind9-dnsutils
@@ -164,6 +142,7 @@
 Package: bind9-dnsutils
 Priority: standard
 Architecture: any
+Multi-Arch: foreign
 Depends: bind9-host | host,
          bind9-libs (= ${binary:Version}),
          ${misc:Depends},
