=== debian/tests/control ===
--- 
+++ 
@@ -14,11 +14,3 @@
          bind9-dnsutils,
          bind9-utils
 
-Tests: dyndb-ldap
-Restrictions: isolation-container, needs-root
-Architecture: !i386
-Depends: bind9,
-         bind9-dyndb-ldap,
-         slapd,
-         ldap-utils,
-         dpkg-dev
