## bind9 9.18.33

=== debian/changelog ===
bind9 (1:9.18.33-1~deb12u2A~5.2.0.202501301650) ucs5-2-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    0001-Bug-22478-build-bind-with-libdb4.8.patch
    0002-Bug-51417-Do-not-fail-on-service-start.patch
    0004-Bug-41714-Add-LDAP-support.patch
    0004-Bug-41714-Add-LDAP-support.quilt
    0017-Bug-51786-fix-apparmor-profile.patch

 -- Univention builddaemon <buildd@univention.de>  Thu, 30 Jan 2025 16:51:04 -0000

bind9 (1:9.18.33-1~deb12u2) bookworm-security; urgency=high

  * New upstream version 9.18.33
   - CVE-2024-12705: DNS-over-HTTPS flooding fixes
   - CVE-2024-11187: Limit additional section processing for large RDATA
     sets

 -- Ondřej Surý <ondrej@debian.org>  Sat, 25 Jan 2025 11:14:58 +0100
